#!/usr/bin/env python

"""
Output contexts.

Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.output.manifest import outputs

# Top-level functions.

def get_output(name):

    """
    Return the output context class with the given 'name' or None if no such
    class is found.
    """

    return outputs.get(name)

def make_output(name, parameters=None):

    """
    Return an output context of the type indicated by 'name', employing the
    given 'parameters'.
    """

    output_cls = get_output(name)
    if not output_cls:
        return None

    return output_cls(parameters)

# vim: tabstop=4 expandtab shiftwidth=4
